## monodevelop 2.5.90-1maemo2%2b1

=== debian/changelog ===
monodevelop (2.5.90-1maemo2+1) fremantle; urgency=low

  * Added mono-complete to dependencies

 -- Nikita Tsukanov <keks9n@gmail.com>  Sat, 30 Apr 2011 13:32:29 +0400

=== debian/control ===
Source: monodevelop
Section: user/development
Priority: optional
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Build-Depends: mono-complete, gtk-sharp2, mono-scratchbox, libmono-addins-cil-dev, libmono-addins-gui-cil-dev, libgnome2.0-cil-dev, libgconf2.0-cil-dev

Package: monodevelop
Architecture: all
Depends: mono-complete, mono-devel, mono-gmcs,  libglade2.0-cil-dev (>= 2.12.10-1maemo8), libglib2.0-cil-dev (>= 2.12.10-1maemo8), libgtk2.0-cil-dev (>= 2.12.10-1maemo8), libgnome2.24-cil, libmono-debugger-soft4.0-cil, libmono-debugger-soft2.0-cil, libgconf2.0-cil, libmono-addins0.2-cil, libmono-addins-gui0.2-cil
Pre-Depends: mono-opt
Description: Integrated Developer Environment for .NET
 MonoDevelop is a IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 It supports the following languages: C, C++, C# (1.0, 2.0 and 3.0), Vala, Boo,
 Java, Nemerle, ILasm, ASP.NET and VB.NET.
 .
 Features: Debugger Integration (Mono Debugger and GNU Debugger),
 Class Browser, Assembly Browser, Built-in Help, Monodoc Integration,
 Code Completion (also known as IntelliSense), Code Folding, Color Schemes,
 Code Refactoring, On-the-fly error underlining, XML Editing, Embedded HTML
 viewer, Gettext support, GTK# Designer, MSBuild project support and
 Makefile Generation.
 .
 === Use Fn-Tap for right clicks ===
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABAtSURBVGiB7Zl7jFzVfcc/59x7572zO/vw
 rl/r9XqxAce87GCMweDESSiKEFSBJsRpHq2ShkcURWqVKq0QaZs2jYoaYUjS
 gtIABgWomocpJAECCIOxjYmDTW38wI9de72PmZ3ded17z6N/zOx6ZnZxSKKq
 qtSf9NO9c885v/P9/n6/8zvn3hHWWv4vi/zfBvD7yv8T+J+Qjbc/kbr69keu
 ey99xe+6BoRArL1za4vnmzatY4VXHrg5+zsZqpMNf7b1QlxxB4LPWGMioecs
 3PHPnzhzThzvlcAttzzhDHZXNknNda7r3KS07QUras3WdeQRbezPjOUFjHlp
 +3c+NfJe7K75wr94MS9xk+M4X9FKX75iSU+4/uIlkZ+8uN8fmyx8/eUtm7/x
 exEQd98trxpZ9kfCEf8gEPPP651nVy7tifR0poh6LlHXIQg1x89McHhwPDx4
 7Iwu+0HMdeQOE9g/eem7n3xrLrtXfGnrIkfxBccVt0UcJ7Xu4qXemhWLRHtr
 DGMsrx84xY9ffPPMS52HFti77jK/E4ENtz10kXC8JxyXvo2rl0euWLmYWMSl
 HGhKvkYbizYWRwqSUYd41EEIGJ8o8/yeI2rvwZPCWvEtHY18/ZV7bi4Lgbjq
 iw99UDjOl421f7Cgqy3ccEl/dOXSLqSU5AohuUJIKuaQTjh849+eU0qZG7ff
 v/mp35rA1bdtvRWH768+v9e5/soVTsR1GJsMmCiGaDP3GCEg5jm0pTwySY+j
 p7L8+y/f9POF8rjR5l+lIz9rjV142QWLuWJVr7Ogo4VyoMgVNFOlkGmzjhT0
 98T56faD5o23Tjz3wr23fvi3InDN7Vu/aqX4mxuvvch9//kLGJsKGMsHGGvp
 bBEs6XDpbHFJxSRCQCUwTJQMI3nF8azBDy2xiENPJoInBdvfPM6vj5wKVq9Y
 HFk10EMi6jJZ0kwUQypBNTukhFhEYq2l7Fu6MxEKpRLfe3KHNUIs3b7l1uPv
 icDVt229VUge+vRHL3cGFrUzNF5hqqzwHMO1FyTIJN13cwYA1lreGQ3ZddRH
 CEFr0qMj7eBIgdKWiaImX1SYmrs9VxCLCFynWg+UNkyVLTHPYX6ny/ee3Omf
 GZv8p5fv3/y130hgw51b11srXrjp2ovcS1d0c3LUp+Qrls1zuKwvgfwtdg2l
 Da8dKTGYtQghkEJgmpyViks8V8waO1VSKC1Y0OVx4Ogo217anysGhe7d3/t8
 2Nx3BtLGu19wEeIHqy9cLC86r4uTI2Umiz5r+z3W9M8N3gJaG/xA0RxJ15Gs
 X57igh5JGCqCUKGUbtDDg+NzkpfCoJQmNxmyrDcDglTMS9w0V9+ZfAjODH0x
 HnUXX3NpnxzJlcgVQha1SZZ0xRpBWzgxnOOJZ/cTaIuUTs3DhvdfOJ9V/d10
 tCVn+l/Ul2S8kOVkdo6FbyzHh7Ms6WlveJyMRyj7FfIFRSoZ4eIVC529B4a+
 DDzebEJYa7n+S/dGC7SPfmTtipYL+zs5drqCIGTzNfNx5NkQB6Hi8Wf3cXpC
 E0ukcFwPQbXdGE3oV/ArJZb2JPjYB1Yia2OthR+9NkquNJvEkZPDbFgzgBSN
 qZSbLFMoKTraHMpByNZtb1gDy1+5b/Ph+n4SIG9arxNWxAZ6M5zJ+vhBwPWX
 tTeAt9by4E/3MlL0SLR04EVTOG4M6UbxIjHi8STRRJpkaycns5b7ntxNbrJU
 9ZKAje9rJQjCWWnUlWnl7eOzN+10MorRholJRTrl0toSLwvBh5r7uVUWzuZl
 SzqkFYbsZIW2OHS1NqbOM68ephBGiCYSWCERwnDlilaWzU+SiDoYazk9XuFn
 b4xhSFEpwcNP7+POWy5HCGhLRTC6gjaRBrueKzlxepyBxZ24jjPz3HEkQloK
 pZB06NHbnY5NFiubgO/MioAQXLdsYcbJT1W9v3pZS8MkpUrI60cmcCIxrIW2
 BHzi6m5W9aVRSvHinmNs236IY6dzSBTGWtxonKJyGc4WZ+xc3NeCUgqldYN2
 ZVK8dXR4VhSkBKU1xZKiqzMhhWXjrAh85M8fThojUvGYQ7GsCPyARZ2Jhk7D
 41M4bgxrBUEYsnFVF+lEhOxkiXt/uJPQCBzXRToTRONJUskE8+ZlSKfmc7ro
 Mb+jamfBvAzzpxxOj0yhtJ6xL4RgPFfA2mq6TUs6FSM7UaJYsqRbIhhrM1fe
 +dj5r9z7iQMzJCdL9FZDKahUAoLAJ+KdDSXAwRM5jK16wyqfhZ0pAJ577QjG
 iRFvyRBNtOJFE6QSCZb1zSOTTuBIyUTpLNCKsmTSCZYv7SQR96rRqGki5nFq
 NNcwbzoZA2MolkI8zxKPuhVp9DUNUfKkbBdCKITFD6vG6hcvwOlsCWMtSimw
 ZwGNFwKkFwPpYoWkNZ1kYGk3rqweCQ6dGOH4idMz/Q+dzKKNxXUc+hd14Dhi
 Jo0E8M7Q7FeKwGgqZYXShvZ0TGKrDp8hoGDSWuv6gUIbTajULCOdbUm0tiil
 mZgqM1XyAZiXacGY6nOtDX2LunCkwBjLz159i+dfO0B329lo7tz3Dj98ZheF
 ko+Ukr6FnShtZipSqVQmVLpxcmMJlcYPFdIVrhAi1RgB40wAVHwfrTVaqVlb
 fnvKI1QhSim0Nhw7VQ31yqXthLUUSKeiM6m3/VeHGR2fZGBhhg9csnDGjvYD
 WuIeL75+EIDWljhxT86kUdRzKdScMwPQESilCEOFEEgL6YZ2iZMDKFUU1hqU
 NgRhoxc6WuOosBpGY+G1fYMArFjSyZqBDCpUzOtoBaASKI4NjrGgo4Ub1i4i
 Fqlu9kcGxwk0JCMeOlAUK0EVgOvOREArTbn2fFpcx0EpTRhqpAQhaG0g8Mv7
 bi6ANWU/RFtTO9s0npmWLWyvRkBrjIU3Do2ye3/1dPuH1wzw8Y19tCSjAJwa
 ybH2/C4+9cF+rly1oJoFxvLI03uxQqKMIRZxyU4UAEglog0ltdREoOpUTRAq
 wCKaI1C7FMqVAEQ1l6eKjUYinuSygXaUqh6DpRvhkaf3cvjkKAAXD3QR8aqe
 jkckt9+4ipVLq7Vzqljhbx/4BSOTCmOYSZeWZByAUOuGajQdsWmZKlWqqWsU
 1histdFZBARm53g+wHEtShsOnhijWTatWUIYBChtsMKhrF3+7oHnePSpnZQr
 AVJUfdHaUgVWrgQ8/9pB/uLb2xjMhgjpoWsLvqs9TWuq2m94LH82hXS1rV5K
 ZR+lNEYYiqXQWCv21bfX6Ipt2ax/Vd/iWEx6kud3H2XT5QMNhno6UrTEz9Z1
 4UZxYmme2XmMp14+wEc/+mE6M61EvCh3f/dpjpwcxcoI0XiK3oXzEUISKMWC
 7nb6FnUjBAyeyXH4+AjtqerxoiUVJ1oXAaUNo+OTtCQclBYUSroiBG/OImCF
 ftZXIloshjieZXC0SBDqWRvaZ69/H9987HVEbbu00sWNpRBujLffGaYz04rr
 OnQs7OfoaIDjeFjHoa0tzYr+BTMnzkApXth1iL1vn6QzFZ0p3f298xrmO3Zq
 HG00whOUy4pKYCJWmDdmEXh5y6f3X3X71olc3s/EYxJjBcdOjbN8SaPBgcUd
 xF0o+PVVSiIcj5PDZ19OlvcvZuhMjtMjE2hteXH3QX65+xBdbUnyxQqFko8r
 oC3ugjUoBUsWdbGsd/6MDWMNu/cdRWJxo4bxnEYIRrbf98c72FI/+4zYX0xM
 aOtGQEiHx55pIFrtLOCG9f2EYfOx2FAqVdh7sFpehRBcu+4ilvX2oJQm7oBn
 NWPjeXTgk/QgFZVgzMyaWHvJ8oa5duw9SjY3hRu1aAy5nK4YK+63loZNaoaA
 FebRqbJR5VJANCXYe2SUyUJ5FokPrV3GqqUZlFYNarTi5d3/xbGhsRpZwRWX
 reCade9j4fwOIh5EHIMrDBKD1grPk1z1/gv48IZL8dyzuX9qdIJd+46SjFli
 aUN2TKE0Ukjn+814Zl7qa1/ghlpSpqctA6ePTvKxa87j1uvXzCKRmyzzp3//
 FKLpRdkCWrh8/Pp1dLQ17PgopRkcHiNUmlgkQizq0daabAAO4AeKR7ZtJyyX
 aJ/vEviWbDYSWPjL7fdvvqcZy9kI3HWXsYJ7SiXpu65LaybFj146iNazv+pl
 0nE2rekj4kUaNOpFiDuSJ36+i32Hh6g/kbiuQ9+ibs7rW8DiBZ10dbTOAn/i
 dJaHf/oqYSWkvSeGlA5Tk1ElhDi4cCz67VlAaPq8birRB5WxslKWpDtjRGIp
 fnVwqGHAxGSJx57ew6v7TxGNRkgkYrR1RunuizGvN0amO0oq6vLCzgP88Oe7
 Gc1NzTVvg4RK8fzOA/zH83vAaLp6IsSTLhNZV4fG5rHixscfv1nPNXbWh62r
 7tj6/WRMfnJJf8ybHA5JOYpv3vEhjgyO8ci23RweyuNFkyRak0RbXNyoRQWW
 /ISxgUZ3djiu44I/JcnnQ/Iln74F7cxrT9PdnmZee5pE3GNiqszwWJ7To3mO
 Do0R+CHtrXGSGRCOZXRY6amCLhtt1m3/zqf2zQV+TgLrb3/0EoHds3x5Skgr
 KYxVUP4kxgi8aIxYOkY0JXFcSbFgGBv3w8nJ0BGItyy2LIS4pLsn7nW0u2gN
 fkGSzZfxK4pAKawFz3UIlUZKQcRzSCaiZDo83JghqFiGTpZ9P9BjAm54acvm
 PeeK3pzfRjfcsXVnR0d8zaLehKiMOxgb4CYsXlxiDOSyASMj5YofGNca82RQ
 Km7Z/YMv7oIBse7zX/2M40W/FYt5kcW9yWg8KcEKTCgwocSvaEKt8VyHSNzB
 cTW41SiOnQns2HhJYe1T+Ympz7356G15OFs27RxgGwiI2ha7/rYf3CKF8/Cl
 q+d5UgiEhHLZMDJa0qPDRWOxWRP4W/LvvPnQ/me/PQ6ImgKI5Zs+19k5sOGb
 Qjofi7iy0tYW91rSESeV9nAjAizV9+tAU5oKmZgMVS5bEgK736+U7tr54Bf+
 swZ8Wqm/rydytoxWwQtA9F37GW/xyg8OLlna3hGLOJw6NVXJT/pRgXnZL+Tv
 2/Xjv/o5+bylWgTEHAog+q68tad96er10UTLBjeSuNZYO09KoYxFYm3tIMmQ
 VuGzfnHix3u2fuU5wNSANl8bdJqEsNY2gK+Bkus+/+DXpBv5ayEoh6H/UHH4
 7Qf2/eQf32kCLZuu9c+pIwNA37qbFyc7+pYYpQJtwkpx+Mjw0K+fPlMHdFp1
 naqa6mZC1lrb7DlZU2f5ps/1pBdddsPgjkd+NHxghw84TR5mjrHvhczsz9Fn
 Pftu4BUQAkHtfoZEMwGnphHAq1O3DtisnDwHiXoyc5Gob6v3vmI2+GkCQT0B
 11pra2tX1BpEzUg9MVsjVu+xehF142Wdnfq2uSJQ74xpUPURCGsEpj2v68dY
 a239Xj49ua4zFNaAT6fWXAv2XFovzRXFNN1Pz2nm0LkWddUbTVWo2WPNqfFu
 bc3jYG4C9USmfzdXmbmqjmkaS0MVqpc6IvWg3g3guXJ7LrHnuL4bwfr7WZvZ
 Of8nbiJzLoC/6ffM/O/x9zl333r5b1fid1txBHQ5AAAAAElFTkSuQmCC

## monodevelop 2.5.90-1maemo3

=== debian/changelog ===
monodevelop (2.5.90-1maemo3) fremantle; urgency=low

  * Disabled reading of Gtk theme from /etc/hildon/theme/gtk-2.0/gtkrc. It
    should fix most of remaining issues with black text on black background. 

 -- Nikita Tsukanov <keks9n@gmail.com>  Sun, 1 May 2011 15:54:45 +0400

=== debian/rules ===
#!/usr/bin/make -f


clean:
	rm -rf debian/*~
	rm -rf debian/files
	rm -rf debian/tmp
	touch lol-stamp
	rm *-stamp
	dh_auto_clean
	dh_clean

configure: configure-stamp
	
configure-stamp:
	./configure --prefix=/opt/monodevelop --exec-prefix=/opt/monodevelop
	touch configure-stamp
	
build: build-stamp
	
build-stamp: configure-stamp
	make
	touch build-stamp

install: install-stamp

install-stamp: build-stamp

	make install DESTDIR=`pwd`/debian/tmp
	
	touch  debian/tmp/usr
	rm -rf  debian/tmp/usr
	mkdir -p debian/tmp/usr/share/applications/hildon
	ln -s /opt/monodevelop/share/applications/monodevelop.desktop debian/tmp/usr/share/applications/hildon
	mkdir -p debian/tmp/usr/share/pixmaps
	ln -s /opt/monodevelop/share/icons/hicolor/48x48/apps/monodevelop.png debian/tmp/usr/share/pixmaps
	
	mkdir -p debian/tmp/usr/bin
	cp debian/mexec debian/tmp/usr/bin/monodevelop

	touch build-stamp
	



binary: binary-indep

binary-indep: install-stamp

	dh_fixperms
	chown -R root.root debian/tmp
	chmod -R +x debian/tmp
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## monodevelop 2.5.90-1maemo4

=== debian/changelog ===
monodevelop (2.5.90-1maemo4) fremantle; urgency=low

  * Added a patch for opening links
  * Added mono-xsp to dependencies

 -- Nikita Tsukanov <keks9n@gmail.com>  Sun, 1 May 2011 20:10:56 +0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: monodevelop
 Architecture: all
-Depends: mono-complete, mono-devel, mono-gmcs,  libglade2.0-cil-dev (>= 2.12.10-1maemo8), libglib2.0-cil-dev (>= 2.12.10-1maemo8), libgtk2.0-cil-dev (>= 2.12.10-1maemo8), libgnome2.24-cil, libmono-debugger-soft4.0-cil, libmono-debugger-soft2.0-cil, libgconf2.0-cil, libmono-addins0.2-cil, libmono-addins-gui0.2-cil
+Depends: mono-complete, mono-devel, mono-gmcs,  libglade2.0-cil-dev (>= 2.12.10-1maemo8), libglib2.0-cil-dev (>= 2.12.10-1maemo8), libgtk2.0-cil-dev (>= 2.12.10-1maemo8), libgnome2.24-cil, libmono-debugger-soft4.0-cil, libmono-debugger-soft2.0-cil, libgconf2.0-cil, libmono-addins0.2-cil, libmono-addins-gui0.2-cil, mono-xsp2, mono-xsp4
 Pre-Depends: mono-opt
 Description: Integrated Developer Environment for .NET
  MonoDevelop is a IDE primarily designed for C# and other CLI (.NET)

## monodevelop 2.5.90-1maemo4%2b1

=== debian/changelog ===
monodevelop (2.5.90-1maemo4+1) fremantle; urgency=low

  * Added libgtk-dnd

 -- Nikita Tsukanov <keks9n@gmail.com>  Sun, 2 May 2011 20:28:34 +0400

## monodevelop 2.5.90-1maemo5

=== debian/changelog ===
monodevelop (2.5.90-1maemo5) fremantle; urgency=low

  * Added osso-xterm support

 -- Nikita Tsukanov <keks9n@gmail.com>  Sun, 2 May 2011 20:28:34 +0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: monodevelop
 Architecture: all
-Depends: mono-complete, mono-devel, mono-gmcs,  libglade2.0-cil-dev (>= 2.12.10-1maemo8), libglib2.0-cil-dev (>= 2.12.10-1maemo8), libgtk2.0-cil-dev (>= 2.12.10-1maemo8), libgnome2.24-cil, libmono-debugger-soft4.0-cil, libmono-debugger-soft2.0-cil, libgconf2.0-cil, libmono-addins0.2-cil, libmono-addins-gui0.2-cil, mono-xsp2, mono-xsp4
+Depends: mono-complete, mono-devel, mono-gmcs,  libglade2.0-cil-dev (>= 2.12.10-1maemo8), libglib2.0-cil-dev (>= 2.12.10-1maemo8), libgtk2.0-cil-dev (>= 2.12.10-1maemo8), libgnome2.24-cil, libmono-debugger-soft4.0-cil, libmono-debugger-soft2.0-cil, libgconf2.0-cil, libmono-addins0.2-cil, libmono-addins-gui0.2-cil, mono-xsp2, mono-xsp4, libgtk-dnd
 Pre-Depends: mono-opt
 Description: Integrated Developer Environment for .NET
  MonoDevelop is a IDE primarily designed for C# and other CLI (.NET)

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	
 	mkdir -p debian/tmp/usr/bin
 	cp debian/mexec debian/tmp/usr/bin/monodevelop
+	cp debian/xterm debian/tmp/opt/monodevelop/bin
 
 	touch build-stamp

## monodevelop 2.6+dfsg

=== po/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# po/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/monodevelop
pkgincludedir = $(includedir)/monodevelop
pkglibdir = $(libdir)/monodevelop
pkglibexecdir = $(libexecdir)/monodevelop
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.include ChangeLog
subdir = po
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/missing --run aclocal-1.11
ACLOCAL_FLAGS = 
ALL_LINGUAS = cs da de es fr ja pt_BR tr pl it zh_TW zh_CN ru sl ca gl pt sv nl id hu
AMTAR = ${SHELL} /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/missing --run tar
ASSEMBLY_VERSION = 2.6.0.0
AUTOCONF = ${SHELL} /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/missing --run automake-1.11
AWK = gawk
CSC = /usr/bin/dmcs
CSC_FLAGS = -debug -codepage:utf8
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"monodevelop\" -DPACKAGE_TARNAME=\"monodevelop\" -DPACKAGE_VERSION=\"2.6\" -DPACKAGE_STRING=\"monodevelop\ 2.6\" -DPACKAGE_BUGREPORT=\"monodevelop-list@lists.ximian.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"monodevelop\" -DVERSION=\"2.6\" -DGETTEXT_PACKAGE=\"monodevelop\"
DYLD_FALLBACK_LIBRARY_PATH = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
GCONF_SHARP_CFLAGS =  
GCONF_SHARP_LIBS = -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gconf-sharp.dll  
GETTEXT_PACKAGE = monodevelop
GLADE_SHARP_CFLAGS = -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/glade-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLADE_SHARP_LIBS = -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/glade-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GLIB_SHARP_CFLAGS = -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLIB_SHARP_LIBS = -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_SHARP_CFLAGS = -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gnome-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/art-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GNOME_SHARP_LIBS = -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/art-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_VFS_SHARP_CFLAGS = -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml  
GNOME_VFS_SHARP_LIBS = -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll  
GTK_SHARP_CFLAGS = -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib64/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GTK_SHARP_LIBS = -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib64/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD_LIBRARY_PATH = /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/install/lib:/usr/lib64/mpi/gcc/openmpi/lib64
LIBOBJS = 
LIBS = 
LIB_PREFIX = .so
LIB_SUFFIX = 
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/missing --run makeinfo
MCS = /usr/bin/gmcs
MD_ADDIN_DIR = $(prefix)/lib/monodevelop/AddIns
MD_ASSEMBLY_DIR = $(prefix)/lib/monodevelop/bin
MD_DIR = $(prefix)/lib/monodevelop
MKDIR_P = /bin/mkdir -p
MONO = /usr/bin/mono
MONODOC_CFLAGS =  
MONODOC_LIBS = /r:/usr/lib/mono/monodoc/monodoc.dll  
MONO_ADDINS_CFLAGS =  
MONO_ADDINS_GUI_CFLAGS =  
MONO_ADDINS_GUI_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.Gui.dll -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_ADDINS_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_ADDINS_SETUP_CFLAGS =  
MONO_ADDINS_SETUP_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.Setup.dll -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_GAC_PREFIX = /usr/local:
MONO_NUNIT_CFLAGS = 
MONO_NUNIT_LIBS = 
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
PACKAGE = monodevelop
PACKAGE_BUGREPORT = monodevelop-list@lists.ximian.com
PACKAGE_NAME = monodevelop
PACKAGE_STRING = monodevelop 2.6
PACKAGE_TARNAME = monodevelop
PACKAGE_URL = 
PACKAGE_VERSION = 2.6
PACKAGE_VERSION_LABEL = 2.6
PATH = /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/install/bin:/usr/lib64/mpi/gcc/openmpi/bin:/home/lluis/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/games:/usr/lib64/jvm/jre/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/local-config:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/install/lib/pkgconfig
RUNTIME = /usr/bin/mono
SET_MAKE = 
SHELL = /bin/sh
SQLITE_XML = 
STRIP = 
UNMANAGED_DEPENDENCIES_MONO_CFLAGS =  
UNMANAGED_DEPENDENCIES_MONO_LIBS =  
UPDATE_DESKTOP_DB = 
UPDATE_MIME_DB = /usr/bin/update-mime-database
VERSION = 2.6
abs_builddir = /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/po
abs_srcdir = /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/po
abs_top_builddir = /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main
abs_top_srcdir = /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main
am__leading_dot = .
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
gtksharp_prefix = /usr/lib64/pkgconfig/../..
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lluis/work/monkeywrench/data/lanes/monodevelop-linux-2.6/7a6fef40/source/monodevelop/main/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
LC_BUILD = $(top_builddir)/build/locale
#old automake versions don't set datarootdir or localedir
INSTALL_DIR = $(DESTDIR)$(prefix)/share/locale
FILES = $(addsuffix .po, $(ALL_LINGUAS))
GMO_FILES = $(patsubst %.po,$(LC_BUILD)/%/LC_MESSAGES/$(PACKAGE).mo,$(FILES))
MO_FILES = $(foreach po,$(FILES), $(INSTALL_DIR)/$(basename $(po))/LC_MESSAGES/$(PACKAGE).mo)
CLEANFILES = $(GMO_FILES)
EXTRA_DIST = Makefile $(FILES)
build_deps = $(addprefix -r:, $(DEPS))
build_sources = $(addprefix $(srcdir)/, $(FILES)) $(GENERATED_FILES)
build_resources = $(addprefix $(srcdir)/, $(RES))
build_test_sources = $(addprefix $(srcdir)/, $(TESTFILES)) $(GENERATED_FILES)
MD_BIN_PATH = $(abs_top_builddir)/build/bin
MD_LAUNCH_SETUP = \
	PATH="$(PATH)" \
	PKG_CONFIG_PATH="$(PKG_CONFIG_PATH)" \
	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH)" \
	DYLD_FALLBACK_LIBRARY_PATH="$(DYLD_FALLBACK_LIBRARY_PATH)" \
	MONO_GAC_PREFIX="$(MONO_GAC_PREFIX)" \
	MONODEVELOP_LOCALE_PATH="$(abs_top_builddir)/build/locale" \
	MONO_ADDINS_REGISTRY="$(MD_BIN_PATH)"

MDTOOL_RUN = $(MD_LAUNCH_SETUP) exec -a "mdtool" $(RUNTIME) --debug "$(MD_BIN_PATH)/mdtool.exe"
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.include $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign po/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign po/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)

=== debian/changelog ===
monodevelop (2.6+dfsg-1ubuntu0.1) oneiric-proposed; urgency=low

  *  fix nunit 2.5 port: (LP: #889241)
     - logic change for the TestSuiteResult -> TestResult merge in 2.5
     - Added a ProjectService needed by nunit's DomainManager service
     - Removed some line ending fuzz
     - treat new Error TestResult as a failure to get it displayed

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 20 Feb 2012 19:38:58 +0100

monodevelop (2.6+dfsg-1) experimental; urgency=low

  * [7c7e1e1] Update watch file to point to Xamarin-hosted MonoDevelop.
  * [c1bd155] Imported Upstream version 2.6+dfsg
  * [9b44935] Disable Ubuntu Appmenu for monodevelop (thanks bratsche) (LP: #606470)
  * [21473bc] Refresh system nunit patch.

 -- Jo Shields <directhex@apebox.org>  Sat, 10 Sep 2011 14:24:16 +0100

monodevelop (2.5.92+dfsg-2) experimental; urgency=low

  * [69b146e] Don't Suggest monodevelop-boo, since it seems EOL.
  * [30e59cf] Port NUnit addin to use NUnit 2.5.
  * [a398070] Include a hard build-dep on NUnit 2.5, since we need it now.

 -- Jo Shields <directhex@apebox.org>  Mon, 04 Jul 2011 17:53:49 +0100

monodevelop (2.5.92+dfsg-1) experimental; urgency=low

  * [d3fe546] Imported Upstream version 2.5.92+dfsg (2.6 Beta 3)
  * [d499e57] Disable inject_Mono.Debugger.Soft_source.patch, since this 
    source is now shipped by upstream.
  * [2098790] Disable avoid-dependency-on-Mono.Addins-0.5.patch, since 
    we now have Mono.Addins 0.6
  * [363239b] Refreshed link_system_nunit.patch, which had some aspects 
    hard-coded
  * [24aac28] Update use_libsvn1.patch for altered path in source tree
  * [a18613d] Refresh use_libapr1.patch for new path in source tree
  * [db6d7d0] Refresh use_csc.patch to specify ToolsVersion 4.0 for 
    xbuild-built components, especially contrib conponents
  * [0f7e9bf] Refresh debian/patches/remove_support_for_moonlight
  * [3bfb6d6] Start using DebSrc 3.0 (quilt) rather than quilt.make separately
  * [28a6814] Exclude modulerefs for Mac-only libraries
  * [fdce601] Update build-dependencies
  * [cf3ce81] Refresh binary dependencies for MonoDevelop package
  * [445d8a0] Refresh configure flags
  * [9971926] Exclude more modulerefs, for private libs which aren't going 
    to be in LD_LIBRARY_PATH
  * [8264ecb] Patch MonoDevelop to force .NET 4.0 as the default framework 
    version on new projects. This is recommended for new projects because our 
    GTK# (plus every other library not bundled inside Mono itself) is built 
    for .NET 4.0, so users will get nasty errors building their projects 
    with the 3.5 compiler when consuming 4.0 libraries.
  * [001f0aa] Bump mono-devel dependency
  * [e987431] Bump Debian Standards version to 3.9.2 (no changes)

 -- Jo Shields <directhex@apebox.org>  Mon, 27 Jun 2011 17:03:13 +0100

monodevelop (2.4.1+dfsg-1) experimental; urgency=low

  [ Stefan Ebner ]
  * [5ea0b80] Pointing to new VCS-* Locations as we are using git
    instead of svn now

  [ Jo Shields ]
  * [0991342] Add a gbp.conf since we're building in a separate branch
    for Debian Experimental
  * [aa1e75f] Imported Upstream version 2.4.1+dfsg
  * [3c4f7de] Remove use_keyfile_not_keycontainer patch (fixed upstream)
  * [ade23c4] Import upstream git commit 5a628ccfeed02aaee060 as a new 
    patch. This fixes some code introduced in MonoDevelop 2.4.1 which 
    requires Mono.Addins 0.5 (rather than the 0.4 cited in configure.in). 
    Thanks to Lluis Sanchez <lluis@novell.com>
  * [1207056] Inject a snapshot of the Mono Soft Debugger source from
    2010-10-23 (as found in Mono commitid fbd6abac72ec96f2034d), along
    with some build system special sauce (as found in Debian MonoDevelop
    commitid 9915fc77e5385d377241). This is needed because MonoDevelop
    2.4.1 makes use of methods in Mono.Debugger.Soft which post-date the
    release of Mono 2.6.7, our Squeeze release version. And upstream's
    just-bundle-the-DLL-in-the-source route is inappropriate for Debian.

 -- Jo Shields <directhex@apebox.org>  Sat, 18 Dec 2010 12:09:49 +0000

monodevelop (2.4+dfsg-3) unstable; urgency=low

  * debian/patches/use_keyfile_not_keycontainer.patch:
    + Two assemblies, Mono.Debugging.dll and MonoDevelop.Debugger.Soft.dll, 
      are built specifying -keycontainer on their compiler command line. 
      Unfortunately, -keycontainer usually fails to function as expected, 
      and instead generates a random key. This causes major problems for
      extensions built against these assemblies. This patch uses -keyfile
      instead, which removes the problem.

 -- Jo Shields <directhex@apebox.org>  Tue, 14 Sep 2010 16:40:37 +0100

monodevelop (2.4+dfsg-2) unstable; urgency=low

  * debian/patches/inject_Mono.Debugger.Soft_source.patch,
    debian/patches/use_system_Mono.Debugger.Soft.patch,
    debian/control:
    + Build against system Soft Debugger, since we now have a new
      enough Mono to match MonoDevelop's required API

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Sep 2010 16:54:48 +0100

monodevelop (2.4+dfsg-1) experimental; urgency=low

  * New upstream release
  * DFSG version of MonoDevelop 2.4. Removed files:
    + src/addins/NUnit/lib/nunit.core.interfaces.dll
    + src/addins/NUnit/lib/nunit.framework.dll
    + src/addins/NUnit/lib/nunit.core.dll
    + src/addins/NUnit/lib/nunit.util.dll
    + src/addins/MonoDevelop.Debugger.Soft/Mono.Debugging.Soft/Mono.Debugger.Soft.dll
  * debian/control:
    + Bump mono build-deps to 2.6.1, to reflect configure.in
    + Add GTK# development packages to Recommends, since most people want
      MonoDevelop in order to write GTK# apps
  * debian/patches/use_libsvn1.patch,
    debian/patches/update_templates_for_gtk-sharp_2.12.patch,
    debian/patches/use_csc.patch,
    debian/patches/remove_support_for_moonlight.patch:
    + Refreshed
  * debian/source/format:
    + Force DebSrc 1.0
  * debian/rules:
    + Force XDG_CONFIG_HOME to allow keystores to work
  * debian/patches/inject_Mono.Debugger.Soft_source.patch,


=== debian/control ===
Source: monodevelop
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: cli-common-dev (>= 0.8~),
 mono-devel (>= 2.10),
 monodoc-base (>= 1.1.9),
 intltool,
 autoconf,
 automake,
 autotools-dev,
 gtk-sharp2-gapi (>= 2.12.8),
 libgtk2.0-cil-dev,
 libglade2.0-cil-dev,
 libgconf2.0-cil-dev,
 libgnome2.0-cil-dev,
 libnunit-cil-dev (>= 2.5),
 libmono-cecil-cil-dev,
 libmono-addins-cil-dev (>= 0.6),
 libmono-addins-gui-cil-dev (>= 0.6),
 libmetacity-dev,
 libsvn-dev,
 libapr1-dev,
 libgtkspell-dev,
 desktop-file-utils
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/monodevelop.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/monodevelop.git

Package: monodevelop
Architecture: all
Suggests: monodevelop-java,
          monodevelop-vala,
          monodevelop-nunit,
          monodevelop-versioncontrol,
          monodevelop-database,
          monodevelop-debugger-gdb,
          mono-xsp | mono-xsp4,
          mono-vbnc,
          monodoc-browser,
          exuberant-ctags,
          gcc,
          make,
          zip,
          gettext
Recommends: mono-devel,
            libgtk2.0-cil-dev,
            libglade2.0-cil-dev
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         monodoc-manual (>= 1.1.9),
         pkg-config,
         gnome-icon-theme (>= 1.1.3),
         xterm | x-terminal-emulator
Provides: monodoc-viewer
Description: Development Environment for GNOME
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 It supports the following languages: C, C++, C# (1.0, 2.0 and 3.0), Vala, Boo,
 Java, Nemerle, ILasm, ASP.NET and VB.NET.
 .
 Features: Debugger Integration (Mono Debugger and GNU Debugger),
 Class Browser, Assembly Browser, Built-in Help, Monodoc Integration,
 Code Completion (also known as IntelliSense), Code Folding, Color Schemes,
 Code Refactoring, On-the-fly error underlining, XML Editing, Embedded HTML
 viewer, Gettext support, GTK# Designer, MSBuild project support and
 Makefile Generation.

Package: monodevelop-nunit
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         monodevelop (= ${source:Version})
Description: NUnit plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 This package enables NUnit integration for MonoDevelop.

Package: monodevelop-versioncontrol
Architecture: all
Replaces: monodevelop (<< 0.13.1)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         monodevelop (= ${source:Version})
Description: VersionControl plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 This package enables version control integration (currently only Subversion)
 for MonoDevelop.

#Package: monodevelop-moonlight
#Architecture: all
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#         ${cli:Depends},
#         monodevelop (= ${source:Version}),
#         moonlight-web-devel
#Description: Moonlight plugin for MonoDevelop
# MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
# languages.
# .
# This package enables Moonlight developnment with MonoDevelop.

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/monodevelop/monodevelop-([\d\.]+)\.tar\.gz

## monodevelop 2.8.2+dfsg

=== po/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# po/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/monodevelop
pkgincludedir = $(includedir)/monodevelop
pkglibdir = $(libdir)/monodevelop
pkglibexecdir = $(libexecdir)/monodevelop
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.include ChangeLog
subdir = po
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/missing --run aclocal-1.11
ACLOCAL_FLAGS = 
ALL_LINGUAS = cs da de es fr ja pt_BR tr pl it zh_TW zh_CN ru sl ca gl pt sv nl id hu
AMTAR = ${SHELL} /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/missing --run tar
ASSEMBLY_VERSION = 2.8.0.0
AUTOCONF = ${SHELL} /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/missing --run autoconf
AUTOHEADER = ${SHELL} /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/missing --run autoheader
AUTOMAKE = ${SHELL} /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/missing --run automake-1.11
AWK = gawk
CSC = /usr/bin/dmcs
CSC_FLAGS = -debug -codepage:utf8
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"monodevelop\" -DPACKAGE_TARNAME=\"monodevelop\" -DPACKAGE_VERSION=\"2.8.2\" -DPACKAGE_STRING=\"monodevelop\ 2.8.2\" -DPACKAGE_BUGREPORT=\"monodevelop-list@lists.ximian.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"monodevelop\" -DVERSION=\"2.8.2\" -DGETTEXT_PACKAGE=\"monodevelop\"
DYLD_FALLBACK_LIBRARY_PATH = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
GCONF_SHARP_CFLAGS =  
GCONF_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gconf-sharp.dll  
GETTEXT_PACKAGE = monodevelop
GLADE_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glade-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLADE_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glade-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GLIB_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLIB_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/art-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GNOME_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/art-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_VFS_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml  
GNOME_VFS_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll  
GTK_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GTK_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD_LIBRARY_PATH = /Users/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/install/lib
LIBOBJS = 
LIBS = 
LIB_PREFIX = .so
LIB_SUFFIX = 
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/missing --run makeinfo
MCS = /usr/bin/gmcs
MD_ADDIN_DIR = $(prefix)/lib/monodevelop/AddIns
MD_ASSEMBLY_DIR = $(prefix)/lib/monodevelop/bin
MD_DIR = $(prefix)/lib/monodevelop
MKDIR_P = /bin/mkdir -p
MONO = /usr/bin/mono
MONODOC_CFLAGS =  
MONODOC_LIBS = /r:/usr/lib/mono/monodoc/monodoc.dll  
MONO_ADDINS_CFLAGS =  
MONO_ADDINS_GUI_CFLAGS =  
MONO_ADDINS_GUI_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.Gui.dll -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_ADDINS_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_ADDINS_SETUP_CFLAGS =  
MONO_ADDINS_SETUP_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.Setup.dll -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_GAC_PREFIX = /usr/local:
MONO_NUNIT_CFLAGS = 
MONO_NUNIT_LIBS = 
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
PACKAGE = monodevelop
PACKAGE_BUGREPORT = monodevelop-list@lists.ximian.com
PACKAGE_NAME = monodevelop
PACKAGE_STRING = monodevelop 2.8.2
PACKAGE_TARNAME = monodevelop
PACKAGE_URL = 
PACKAGE_VERSION = 2.8.2
PACKAGE_VERSION_LABEL = 2.8.2
PATH = /Users/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/install/bin:/usr/bin:/bin
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/local-config:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/Users/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/install/lib/pkgconfig
RUNTIME = /usr/bin/mono
SET_MAKE = 
SHELL = /bin/sh
SQLITE_XML = 
STRIP = 
UNMANAGED_DEPENDENCIES_MONO_CFLAGS =  
UNMANAGED_DEPENDENCIES_MONO_LIBS =  
UPDATE_DESKTOP_DB = 
UPDATE_MIME_DB = /usr/bin/update-mime-database
VERSION = 2.8.2
abs_builddir = /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/po
abs_srcdir = /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/po
abs_top_builddir = /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main
abs_top_srcdir = /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main
am__leading_dot = .
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
gtksharp_prefix = /usr/lib/pkgconfig/../..
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/builder/data/lanes/monodevelop-linux-2.8.2/3ad24398/source/monodevelop/main/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
LC_BUILD = $(top_builddir)/build/locale
#old automake versions don't set datarootdir or localedir
INSTALL_DIR = $(DESTDIR)$(prefix)/share/locale
FILES = $(addsuffix .po, $(ALL_LINGUAS))
GMO_FILES = $(patsubst %.po,$(LC_BUILD)/%/LC_MESSAGES/$(PACKAGE).mo,$(FILES))
MO_FILES = $(foreach po,$(FILES), $(INSTALL_DIR)/$(basename $(po))/LC_MESSAGES/$(PACKAGE).mo)
CLEANFILES = $(GMO_FILES)
EXTRA_DIST = Makefile $(FILES)
build_deps = $(addprefix -r:, $(DEPS))
build_sources = $(addprefix $(srcdir)/, $(FILES)) $(GENERATED_FILES)
build_resources = $(addprefix $(srcdir)/, $(RES))
build_test_sources = $(addprefix $(srcdir)/, $(TESTFILES)) $(GENERATED_FILES)
MD_BIN_PATH = $(abs_top_builddir)/build/bin
MD_LAUNCH_SETUP = \
	PATH="$(PATH)" \
	PKG_CONFIG_PATH="$(PKG_CONFIG_PATH)" \
	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH)" \
	DYLD_FALLBACK_LIBRARY_PATH="$(DYLD_FALLBACK_LIBRARY_PATH)" \
	MONO_GAC_PREFIX="$(MONO_GAC_PREFIX)" \
	MONODEVELOP_LOCALE_PATH="$(abs_top_builddir)/build/locale" \
	MONO_ADDINS_REGISTRY="$(MD_BIN_PATH)"

MDTOOL_RUN = $(MD_LAUNCH_SETUP) exec -a "mdtool" $(RUNTIME) --debug "$(MD_BIN_PATH)/mdtool.exe"
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.include $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign po/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign po/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \

=== debian/changelog ===
monodevelop (2.8.2+dfsg-1) experimental; urgency=low

  [ Gleb Golubitsky ]
  * [0c50f48] Removing dependency to non-present lib libobjc.dylib

  [ Jo Shields ]
  * [6612c21] Update debian/watch to use bz2, not gz, for upstream tarballs.
  * [d780bf9] Imported Upstream version 2.8.2+dfsg
  * [2058cc2] Refresh debian/patches/make_4.0_default_framework.patch.
  * [b27507a] Refresh debian/patches/link_system_nunit.patch.
  * [225c2c1] Refreshed 
              debian/patches/update_templates_for_gtk-sharp_2.12.patch.
  * [dbbfc74] Refreshed debian/patches/use_csc.patch
  * [6d74297] Refresh debian/patches/remove_support_for_moonlight.patch.
  * [dfdeb30] Don't apply debian/patches/remove-libobjc-dylib-dep.patch 
              after all - use --exclude-moduleref to skip this Mac-only 
              code.

 -- Jo Shields <directhex@apebox.org>  Tue, 08 Nov 2011 17:47:50 +0000
